import * as $dara from '@darabonba/typescript';
export declare class DescribeEniMonitorDataResponseBodyMonitorDataEniMonitorData extends $dara.Model {
    dropPacketRx?: string;
    dropPacketTx?: string;
    eniId?: string;
    intranetRx?: string;
    intranetTx?: string;
    packetRx?: string;
    packetTx?: string;
    timeStamp?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeEniMonitorDataResponseBodyMonitorData extends $dara.Model {
    eniMonitorData?: DescribeEniMonitorDataResponseBodyMonitorDataEniMonitorData[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeEniMonitorDataResponseBody extends $dara.Model {
    monitorData?: DescribeEniMonitorDataResponseBodyMonitorData;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of entries returned.
     *
     * @example
     * 4
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
